## org.hibernate
Class QueryParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.QueryException
                          org.hibernate.QueryParameterException

All Implemented Interfaces:
  Serializable

    public class QueryParameterException

extends QueryException

Parameter invalid or not found in the query

See Also:
  Serialized Form

Constructor Summary
`QueryParameterException(Exception e)`
`QueryParameterException(String message)`
`QueryParameterException(String message, String queryString)`
`QueryParameterException(String message, Throwable e)`

Method Summary

Methods inherited from class org.hibernate.QueryException
`getMessage, getQueryString, setQueryString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryParameterException

    public QueryParameterException(Exception e)

### QueryParameterException

    public QueryParameterException(String message)

### QueryParameterException

    public QueryParameterException(String message,
                                   Throwable e)

### QueryParameterException

    public QueryParameterException(String message,
                                   String queryString)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.